Loading...
Searching...
No Matches
icu::number::Notation::NotationUnion::ScientificSettings Struct Reference

`#include <numberformatter.h>`

## Data Fields

int8_t | fEngineeringInterval
bool | fRequireMinInt
impl::digits_t | fMinExponentDigits
UNumberSignDisplay | fExponentSignDisplay

## Detailed Description

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 356 of file numberformatter.h.

## Field Documentation

## fEngineeringInterval

int8_t icu::number::Notation::NotationUnion::ScientificSettings::fEngineeringInterval

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 358 of file numberformatter.h.

## fExponentSignDisplay

UNumberSignDisplay icu::number::Notation::NotationUnion::ScientificSettings::fExponentSignDisplay

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 364 of file numberformatter.h.

## fMinExponentDigits

impl::digits_t icu::number::Notation::NotationUnion::ScientificSettings::fMinExponentDigits

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 362 of file numberformatter.h.

## fRequireMinInt

bool icu::number::Notation::NotationUnion::ScientificSettings::fRequireMinInt

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 360 of file numberformatter.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/numberformatter.h